#include <cstdio>
#include <cstdlib>
#include <cmath>
#include "timer.hxx"
#include "config.h"

int main (int argc, char* argv[])
{
    double pi=0.0, sum=0.0, x2;
    double d, d2;

    long long i, N = argc > 1 ? atoll(argv[1]) : defaultN;
    d = 1.0/N;
    d2 = d*d;
    
    Timer T;
    T.start();
    for (i=0; i<N; i++)
    {
        x2=d2*i*i;
        sum+=1.0/(1.0+x2);
    }
        
    T.stop();    
 
    pi=4*d*sum;
    printf("\nTime       =      %9.3f s\n\nPI         =%15.10g\nPI(machine)=%15.10g\nError      =%15.2g\n", 
            T.elapsed(), pi, 4*atan(1.0), fabs(4*atan(1.0)-pi));
        
    return 0;
}
