#! /usr/bin/env python
# -*- coding: utf-8 -*-

try:
    unicode('')
except NameError:
    unicode = str

import os, sys, subprocess
from util import *

def manage():
    job = '''#!/bin/bash

#SBATCH --job-name=build_pi
#SBATCH --output=output_build.txt
#SBATCH --error=output_build.txt

@ACC@

#SBATCH --ntasks=1
#SBATCH --cpus-per-task=1
#SBATCH --time=@RUNTIME@

## load modules

module load cmake/3.19.7

module load gcc/10.2.0
module load openmpi/4.1.4

## execution
./build.py

'''

    s = job
    s = s.replace("@ACC@", queue())

    rs = 0
    rm = 2
    rh = 0
    while rm > 60:
        rh += 1
        rm -= 60
    r = "{:02d}:{:02d}:00".format(rh, rm)
    s = s.replace("@RUNTIME@", r)

    jobFile = 'job_build.sh'
    with open(jobFile, 'w') as f:
       f.write(s)
 
    subprocess.call(['sbatch', jobFile])

if __name__ == '__main__':
    manage()
