#! /usr/bin/env python
# -*- coding: utf-8 -*-

try:
    unicode('')
except NameError:
    unicode = str

import os, sys, argparse, time, glob
from subprocess import *
from util import *

job = '''#!/bin/bash

#SBATCH --job-name=CasHybrides
#SBATCH --output=output.txt
#SBATCH --error=error.txt
#SBATCH --time=@RUNTIME@

@ACC@

#SBATCH --ntasks=2
#SBATCH --time=@RUNTIME@

## load modules
module load gcc/10.2.0
module load openmpi/4.1.4

## execution

echo nodes : ${SLURM_NODELIST}

export OMP_NUM_THREADS=2
mpirun -n $SLURM_NTASKS install/main1
mpirun -n $SLURM_NTASKS install/main2
mpirun -n $SLURM_NTASKS install/main3

paste out_*
'''

s = job
s = s.replace("@ACC@", queue())
rs = 0
rm = 2
rh = 0
while rm > 60:
  rh += 1
  rm -= 60
r = "{:02d}:{:02d}:00".format(rh, rm)
s = s.replace("@RUNTIME@", r)



with open('job.sh', 'w') as f:
   f.write(s)

call(['sbatch', 'job.sh'])
